servant-0.20.2: A family of combinators for defining webservices APIs

Safe Haskell | Safe-Inferred
Language | Haskell2010

Servant.API.HttpVersion

Synopsis

- data HttpVersion = HttpVersion {
  - httpMajor :: !Int
  - httpMinor :: !Int
  }

# Documentation

| You can directly use the `HttpVersion` type from `Network.HTTP.Types` if your request handlers need it to compute a response. This would make the request handlers take an argument of type `HttpVersion`.

Example:

    >>> type API = HttpVersion :> Get '[JSON] String

data HttpVersion Source #

HTTP Version.

Note that the `Show` instance is intended merely for debugging.

Constructors

HttpVersion |

Fields

- httpMajor :: !Int
- httpMinor :: !Int

#### Instances

Instances details

Data HttpVersion | Since: http-types-0.12.4

Instance details

Defined in Network.HTTP.Types.Version

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> HttpVersion -> c HttpVersion Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c HttpVersion Source #

toConstr :: HttpVersion -> Constr Source #

dataTypeOf :: HttpVersion -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c HttpVersion) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c HttpVersion) Source #

gmapT :: (forall b. Data b => b -> b) -> HttpVersion -> HttpVersion Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> HttpVersion -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> HttpVersion -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> HttpVersion -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> HttpVersion -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> HttpVersion -> m HttpVersion Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> HttpVersion -> m HttpVersion Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> HttpVersion -> m HttpVersion Source #

Generic HttpVersion |
Instance details Defined in Network.HTTP.Types.Version Associated Types type Rep HttpVersion :: Type -> Type Source # Methods from :: HttpVersion -> Rep HttpVersion x Source # to :: Rep HttpVersion x -> HttpVersion Source #

Show HttpVersion

    >>> show http11
    "HTTP/1.1"

Instance details Defined in Network.HTTP.Types.Version Methods showsPrec :: Int -> HttpVersion -> ShowS Source # show :: HttpVersion -> String Source # showList :: [HttpVersion] -> ShowS Source #
Eq HttpVersion |
Instance details Defined in Network.HTTP.Types.Version Methods (==) :: HttpVersion -> HttpVersion -> Bool Source # (/=) :: HttpVersion -> HttpVersion -> Bool Source #
Ord HttpVersion |

Instance details

Defined in Network.HTTP.Types.Version

Methods

compare :: HttpVersion -> HttpVersion -> Ordering Source #

(<) :: HttpVersion -> HttpVersion -> Bool Source #

(<=) :: HttpVersion -> HttpVersion -> Bool Source #

(>) :: HttpVersion -> HttpVersion -> Bool Source #

(>=) :: HttpVersion -> HttpVersion -> Bool Source #

max :: HttpVersion -> HttpVersion -> HttpVersion Source #

min :: HttpVersion -> HttpVersion -> HttpVersion Source #

HasLink sub => HasLink (HttpVersion :> sub :: Type) Source # |
Instance details Defined in Servant.Links Associated Types type MkLink (HttpVersion :> sub) a Source # Methods toLink :: (Link -> a) -> Proxy (HttpVersion :> sub) -> Link -> MkLink (HttpVersion :> sub) a Source #
type Rep HttpVersion | Since: http-types-0.12.4

Instance details

Defined in Network.HTTP.Types.Version

type Rep HttpVersion = D1 ('MetaData "HttpVersion" "Network.HTTP.Types.Version" "http-types-0.12.4-IXFrYWN3tuGA537S2GUyUO" 'False) (C1 ('MetaCons "HttpVersion" 'PrefixI 'True) (S1 ('MetaSel ('Just "httpMajor") 'NoSourceUnpackedness 'SourceStrict 'DecidedUnpack) (Rec0 Int) :*: S1 ('MetaSel ('Just "httpMinor") 'NoSourceUnpackedness 'SourceStrict 'DecidedUnpack) (Rec0 Int)))

type MkLink (HttpVersion :> sub :: Type) a Source # |
Instance details Defined in Servant.Links type MkLink (HttpVersion :> sub :: Type) a = MkLink sub a